Commit e5d81a70 authored by Shawn Tabrizi's avatar Shawn Tabrizi
Browse files

update polkadot js

parent 456621d6
......@@ -21,8 +21,8 @@
"build:js": "babel src/ --extensions '.ts,.js' --out-dir dist/"
},
"dependencies": {
"@polkadot/api": "^6.0.5",
"@polkadot/util-crypto": "^7.4.1",
"@polkadot/api": "^6.5.2",
"@polkadot/util-crypto": "^7.7.1",
"probot": "^11.0.1"
},
"devDependencies": {
......
......@@ -1182,108 +1182,108 @@
aggregate-error "^3.1.0"
debug "^4.0.0"
"@polkadot/api-derive@6.3.1":
version "6.3.1"
resolved "https://registry.yarnpkg.com/@polkadot/api-derive/-/api-derive-6.3.1.tgz#88618243e15f82368256c7f8d068a4539f9327a3"
integrity sha512-SjE/ntziGzTcC/q+rx8HOGrCPFXGCLO9ZjoNrc+otEq9jikrMtY3pDbIyCCnnutHmx7se46e/thPungjV/wccg==
"@polkadot/api-derive@6.5.2":
version "6.5.2"
resolved "https://registry.yarnpkg.com/@polkadot/api-derive/-/api-derive-6.5.2.tgz#1c14c4cda13bab958b55ce8973aed2a4388d400d"
integrity sha512-QD7xegHVLIrDxbuBiAF4wGzqXc/pXsfwTLpkVW1bT7Aa8pXWVTdahh4HCcgOq7c1i01QS2lQE21/4SSLG7KzUA==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/api" "6.3.1"
"@polkadot/rpc-core" "6.3.1"
"@polkadot/types" "6.3.1"
"@polkadot/util" "^7.4.1"
"@polkadot/util-crypto" "^7.4.1"
"@polkadot/api" "6.5.2"
"@polkadot/rpc-core" "6.5.2"
"@polkadot/types" "6.5.2"
"@polkadot/util" "^7.6.1"
"@polkadot/util-crypto" "^7.6.1"
rxjs "^7.4.0"
"@polkadot/api@6.3.1", "@polkadot/api@^6.0.5":
version "6.3.1"
resolved "https://registry.yarnpkg.com/@polkadot/api/-/api-6.3.1.tgz#18859dec2cdd30b54e6c04bc23a9d906b485c5e8"
integrity sha512-4WbQNXIzPsmwktjR6VFQupU2uKl7Mkbch1ZsMc68a2TrGmeJTlhsTas2iL89VeM0Js3P7qp36ZiiKtMZ/IjWHQ==
"@polkadot/api@6.5.2", "@polkadot/api@^6.5.2":
version "6.5.2"
resolved "https://registry.yarnpkg.com/@polkadot/api/-/api-6.5.2.tgz#40a2a2545cc3be19ce35b4c4b688c0a2055576bd"
integrity sha512-UNR8pynzPzS1GxpCoLh2a/iPf9lPYY03q0ZLZG/qYYFR+njeD7/4B5e+yEMHIDKS/+XAvM5zXDEbEtxHMiCR9A==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/api-derive" "6.3.1"
"@polkadot/keyring" "^7.4.1"
"@polkadot/rpc-core" "6.3.1"
"@polkadot/rpc-provider" "6.3.1"
"@polkadot/types" "6.3.1"
"@polkadot/types-known" "6.3.1"
"@polkadot/util" "^7.4.1"
"@polkadot/util-crypto" "^7.4.1"
"@polkadot/api-derive" "6.5.2"
"@polkadot/keyring" "^7.6.1"
"@polkadot/rpc-core" "6.5.2"
"@polkadot/rpc-provider" "6.5.2"
"@polkadot/types" "6.5.2"
"@polkadot/types-known" "6.5.2"
"@polkadot/util" "^7.6.1"
"@polkadot/util-crypto" "^7.6.1"
eventemitter3 "^4.0.7"
rxjs "^7.4.0"
"@polkadot/keyring@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/keyring/-/keyring-7.4.1.tgz#cda3f371cc2a9bf4b8847bad41c4c14edfb05745"
integrity sha512-3QCfhiv8O2vpbQ4qThn7aQSEZ3EJm0WMJ1TxklKdzaZ+5K6kVFXOGbS3ntRXXjjtoOPSPuyjOiOq2YEi+69s4A==
"@polkadot/keyring@^7.6.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/keyring/-/keyring-7.7.1.tgz#0ab6a8d104669ead3e269cf2c185346b24dfbd36"
integrity sha512-MzdwUeR5BjqEqSnW1SVg1mMaUPkirGcLd60vsp187qf/y9IaI+ZinkeP50d/GxldRobNL/bOdiOuV3bSulUvSQ==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/util" "7.4.1"
"@polkadot/util-crypto" "7.4.1"
"@polkadot/util" "7.7.1"
"@polkadot/util-crypto" "7.7.1"
"@polkadot/networks@7.4.1", "@polkadot/networks@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/networks/-/networks-7.4.1.tgz#02b4a1a159e64b90a08d0f3a0206858b64846a3b"
integrity sha512-V+IagmVtaoDwR6zA+8R4JeihuTVJlheeYbDJyYCIyS9WtYImb5c7j/83XzoGicx+2auc+rwK2dH8hxHboi8Quw==
"@polkadot/networks@7.7.1", "@polkadot/networks@^7.6.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/networks/-/networks-7.7.1.tgz#de9674a355bd4f68d650e3dd580d717d83ea4161"
integrity sha512-ghUA9jd+12lfbKclPIxRQBmvfd1+BoECr5C8t+2rfM5plE+1f1Ucdrpz9wQ362+WNlnP4q1u9yB1zQlFM+K6yQ==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/rpc-core@6.3.1":
version "6.3.1"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-core/-/rpc-core-6.3.1.tgz#96eebcea74c1334b128b34a341406ac6ade34e2d"
integrity sha512-JClQ2Gfr4g9cU+S1NADc9GH+YfwjniZXA1vYub0/94Oung7GGwp6zeICQow90NfOtYi4cpp/iPOD0H7HtDIRYA==
"@polkadot/rpc-core@6.5.2":
version "6.5.2"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-core/-/rpc-core-6.5.2.tgz#4dbdf39974284df9f0cc6897654c91b05db66482"
integrity sha512-ZZRUQqizqH2E4OZ61C1T78KnWm2OiewIZt0SomB5s7zc7ixwcvFltjlWdiuQspG2m4VMb46jFy3pVdkycgrMfg==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/rpc-provider" "6.3.1"
"@polkadot/types" "6.3.1"
"@polkadot/util" "^7.4.1"
"@polkadot/rpc-provider" "6.5.2"
"@polkadot/types" "6.5.2"
"@polkadot/util" "^7.6.1"
rxjs "^7.4.0"
"@polkadot/rpc-provider@6.3.1":
version "6.3.1"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-provider/-/rpc-provider-6.3.1.tgz#8a9d11a0ad40783228e56f642bc0fe418227528c"
integrity sha512-hf1wIfQZWsq/OLrszsGTRx/bBjDqLOKj/e7Ly5O7t9ai3ItUsYewgjXo6AiCD80jttHm3h8wg+twnh7DJxJfHQ==
"@polkadot/rpc-provider@6.5.2":
version "6.5.2"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-provider/-/rpc-provider-6.5.2.tgz#359ba68ef5c171191bdd10867e99d3c7b7d71cc5"
integrity sha512-MFphpbI9zsYKGFb2mXkeOhWRiyDZxKYTyViVB5kE0YeMMl1DHR3YVfjR6t+K5H1A++iwh3xilkyZ8imcfTK/BQ==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/types" "6.3.1"
"@polkadot/util" "^7.4.1"
"@polkadot/util-crypto" "^7.4.1"
"@polkadot/x-fetch" "^7.4.1"
"@polkadot/x-global" "^7.4.1"
"@polkadot/x-ws" "^7.4.1"
"@polkadot/types" "6.5.2"
"@polkadot/util" "^7.6.1"
"@polkadot/util-crypto" "^7.6.1"
"@polkadot/x-fetch" "^7.6.1"
"@polkadot/x-global" "^7.6.1"
"@polkadot/x-ws" "^7.6.1"
eventemitter3 "^4.0.7"
"@polkadot/types-known@6.3.1":
version "6.3.1"
resolved "https://registry.yarnpkg.com/@polkadot/types-known/-/types-known-6.3.1.tgz#dae6d8532272d8fc3c4ea53181a18d7d117b7113"
integrity sha512-zeFA2c/8irg0L5OQDfMAxBnODTbsibaa0q8bk+bsqK0sVgJ/l3Sz9XtONWL72s7FEi/zzXIOQLd+ffEVWmAN7A==
"@polkadot/types-known@6.5.2":
version "6.5.2"
resolved "https://registry.yarnpkg.com/@polkadot/types-known/-/types-known-6.5.2.tgz#a5b3afe7ddf9fc4a87f1b391d6d7058eb4e03ae0"
integrity sha512-5mFcsAJDL10pwTRI2ODNYvzeB1pQsSbYakI323BkA9iWxNSDYgHNU9prgEAnbO6VXP31HMX86ZDGhEm/XpGo4A==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/networks" "^7.4.1"
"@polkadot/types" "6.3.1"
"@polkadot/util" "^7.4.1"
"@polkadot/networks" "^7.6.1"
"@polkadot/types" "6.5.2"
"@polkadot/util" "^7.6.1"
"@polkadot/types@6.3.1":
version "6.3.1"
resolved "https://registry.yarnpkg.com/@polkadot/types/-/types-6.3.1.tgz#98f14278806b68b784113b6aac361a9e4bd1b005"
integrity sha512-ZZHwohZlyBgTAXmvISWY/lkpOfi6IvX4QAxXUNG+fH2ZB8uLB+ZPKeztPIleOqApj3HzczOCpH9QXK3he2IzHQ==
"@polkadot/types@6.5.2":
version "6.5.2"
resolved "https://registry.yarnpkg.com/@polkadot/types/-/types-6.5.2.tgz#76f5fb1b35ae20530554869b9a859811b4048b28"
integrity sha512-QDE5SxyW/Veq0IB8zT0RaBJTedmVkxhR8EykwslJiRuHSBz/HZjtEhcnA44c8fdKWKkbURklbX2vlWd7d2w4jQ==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/util" "^7.4.1"
"@polkadot/util-crypto" "^7.4.1"
"@polkadot/util" "^7.6.1"
"@polkadot/util-crypto" "^7.6.1"
rxjs "^7.4.0"
"@polkadot/util-crypto@7.4.1", "@polkadot/util-crypto@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/util-crypto/-/util-crypto-7.4.1.tgz#76760df995e9feb7deef69d85cab6c13e9ceb977"
integrity sha512-ragnHzqROJl6mlWDIgcHHMM42XA/v7BlnATbVEkKuKOV8xHmdpNHDdtTsqwWzJ+F+oV1jeITaIUZqPuEDWloiw==
"@polkadot/util-crypto@7.7.1", "@polkadot/util-crypto@^7.6.1", "@polkadot/util-crypto@^7.7.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/util-crypto/-/util-crypto-7.7.1.tgz#6c3b84558d4e971cc0a7190f99e34ce801eb498d"
integrity sha512-K269URC/ofbYM1vFSIVLbuRi4Z+9bMdyJQ1k+59+jx0VwYu50l9vzNhFO8WMGoBZ6eDzqQkeWj7usCTKlU9xUw==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/networks" "7.4.1"
"@polkadot/util" "7.4.1"
"@polkadot/networks" "7.7.1"
"@polkadot/util" "7.7.1"
"@polkadot/wasm-crypto" "^4.2.1"
"@polkadot/x-randomvalues" "7.4.1"
base-x "^3.0.8"
"@polkadot/x-randomvalues" "7.7.1"
base-x "^3.0.9"
base64-js "^1.5.1"
blakejs "^1.1.1"
bn.js "^4.12.0"
......@@ -1296,14 +1296,14 @@
tweetnacl "^1.0.3"
xxhashjs "^0.2.2"
"@polkadot/util@7.4.1", "@polkadot/util@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/util/-/util-7.4.1.tgz#f5aa9b60e5ca5c5b8f0d188beb7cbd47dd6c4041"
integrity sha512-HHsVVh8XpeIZZEHJDMZ8tCBnS2UfVuiZ4+79IuQln437HxL1uVfuTyv0mx0qsv6KsOyifMpxrUBfeAlna5jrWA==
"@polkadot/util@7.7.1", "@polkadot/util@^7.6.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/util/-/util-7.7.1.tgz#b9c74f8c242669ff8ce26a3101630231914de7c7"
integrity sha512-REw11iHZKUm7GeC7Ktx1HguT9y76mbmiVtZJyNXpUTDKmfm6z+SMqs3pOCL/rvzqm+6M3ag6ffRrlzTTgh0HAg==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-textdecoder" "7.4.1"
"@polkadot/x-textencoder" "7.4.1"
"@polkadot/x-textdecoder" "7.7.1"
"@polkadot/x-textencoder" "7.7.1"
"@types/bn.js" "^4.11.6"
bn.js "^4.12.0"
camelcase "^6.2.0"
......@@ -1332,54 +1332,54 @@
"@polkadot/wasm-crypto-asmjs" "^4.2.1"
"@polkadot/wasm-crypto-wasm" "^4.2.1"
"@polkadot/x-fetch@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-fetch/-/x-fetch-7.4.1.tgz#70dc3f648981f24b32afbcfb5b59e2000c72f4b2"
integrity sha512-ot7VcBVVSnrh+Kt0I+p/YISsenRFpmFl6sBGk4qz90JlPbrmuc93iTTwyImi1QaT6wYBEGGcM56wyfTxkzGG4g==
"@polkadot/x-fetch@^7.6.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-fetch/-/x-fetch-7.7.1.tgz#88b99936b89a44c3a3a980666b4ab4db6f90481b"
integrity sha512-0ocN1CSwDHXRzz2yUAaoDH0VrOg3Kmx0nAW05wZdoMfvU9vEiJHhTT/c27pss3dsbEs334PWL5QbcTzYiQvDVQ==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-global" "7.4.1"
"@polkadot/x-global" "7.7.1"
"@types/node-fetch" "^2.5.12"
node-fetch "^2.6.2"
node-fetch "^2.6.5"
"@polkadot/x-global@7.4.1", "@polkadot/x-global@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-global/-/x-global-7.4.1.tgz#66f7f8a5d0208832773a4606c56d10e7927552fc"
integrity sha512-am24TT18b3H028ERjOtfrMt1MBIU4PN17n7+tpDmnS09HA+6ebfLlVTSU5gDWNu9p0EjzE0gOMTJIUw62mzkkg==
"@polkadot/x-global@7.7.1", "@polkadot/x-global@^7.6.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-global/-/x-global-7.7.1.tgz#ab390aa07807d62a7ec0fa2fd6e7c4837524c227"
integrity sha512-S7MYqEtcfMgWA64qR09Z8O3zbaRyyW1y2qtvn04dexPesuEPOw2W5+WBHss8UAI/aVxjlG+d2D3OlYUr+IOO9Q==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-randomvalues@7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-randomvalues/-/x-randomvalues-7.4.1.tgz#e48d6c7fa869f5f871b2d18aa8b864c9802e9aeb"
integrity sha512-7XRXcII5zoGXXpRInR61DZsWW3XWqkOWctbrWSgT5psrw9rGmHs2iyRa8lsqtGUAFCiFM0FcRwSJ/hbRodgLKQ==
"@polkadot/x-randomvalues@7.7.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-randomvalues/-/x-randomvalues-7.7.1.tgz#37edb6920bac4f6c6c7620f02ef9dd5b43405a5b"
integrity sha512-dFhxei2TP3cWepfITDSq6eaBbdsP8TPBQagincqJynt5EaU0pzQ5psMBMJ/rAYy194oEpg0ED16XK/iFdZ42rA==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-global" "7.4.1"
"@polkadot/x-global" "7.7.1"
"@polkadot/x-textdecoder@7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-textdecoder/-/x-textdecoder-7.4.1.tgz#e0e0bc375d5aa7fad8929a7ea1c279884c57ad26"
integrity sha512-7tbwF8u1SJGS/AUWee3ZukcyW6o03ZVbgvXYcPtd+Xfx8WXUuUih0bJVeF7B0HevenBpqCWjsdcAQIJOcHOBpg==
"@polkadot/x-textdecoder@7.7.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-textdecoder/-/x-textdecoder-7.7.1.tgz#bfcf8f8a7ce620ca72a649dd0a322a4476a51a28"
integrity sha512-2+kYLVxjdtbuxcIDMdEiBK+GvCs/M8QdKVmTGLTb47PphSeiMKLu8qjy1ygBJeaFeQOZxIj1f8IJ5ICI9TlVcA==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-global" "7.4.1"
"@polkadot/x-global" "7.7.1"
"@polkadot/x-textencoder@7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-textencoder/-/x-textencoder-7.4.1.tgz#0411213c6ab3f6f80af074f49ed12174c3e28775"
integrity sha512-QYdSQ8mGj3LXGSWQOUKh/3ZlmDgSaHA+nKmIWwgdzXStfy77ErQbIo+AVQsDSdbr+bDAteugWPO+AoSBAqBkHg==
"@polkadot/x-textencoder@7.7.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-textencoder/-/x-textencoder-7.7.1.tgz#7dc5b0165e3b6ad6882904169ad3362487ada92b"
integrity sha512-pRTG7F6EYilkbkyxfWOV1LXCVohcVnFPVfPvGydHsDJ3kGZ4n+L9PuJ+t3WKwd6tirEDUIBGe2eNEl/arcWzTw==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-global" "7.4.1"
"@polkadot/x-global" "7.7.1"
"@polkadot/x-ws@^7.4.1":
version "7.4.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-ws/-/x-ws-7.4.1.tgz#94b310e3385dabf550adba99a2a06cbf03a737cb"
integrity sha512-OLM61XX8Ut8NiCqKjraDr+t8WNFGZEuhOOzyPiFfUYqSML12U0/xrdbkS2AQTrtey4Cxv7iJB9GWCjn0amM4LQ==
"@polkadot/x-ws@^7.6.1":
version "7.7.1"
resolved "https://registry.yarnpkg.com/@polkadot/x-ws/-/x-ws-7.7.1.tgz#dc06d7a3cc6802de9c8449e437f5c10687cf8683"
integrity sha512-P1ZBuPvTX+H6pBiIkPjgygIw4GsekicoAE2ew5R1s/WE4uS0YjiO+QTwkaaB1fNqk2fBRSI+eDHOGiGmr5MM2Q==
dependencies:
"@babel/runtime" "^7.15.4"
"@polkadot/x-global" "7.4.1"
"@polkadot/x-global" "7.7.1"
"@types/websocket" "^1.0.4"
websocket "^1.0.34"
......@@ -1962,10 +1962,10 @@ balanced-match@^1.0.0:
resolved "https://registry.yarnpkg.com/balanced-match/-/balanced-match-1.0.2.tgz#e83e3a7e3f300b34cb9d87f615fa0cbf357690ee"
integrity sha512-3oSeUO0TMV67hN1AmbXsK4yaqU7tjiHlbxRDZOpH0KW9+CeX4bRAaX0Anxt0tx2MrpRpWwQaPwIlISEJhYU5Pw==
base-x@^3.0.8:
version "3.0.8"
resolved "https://registry.yarnpkg.com/base-x/-/base-x-3.0.8.tgz#1e1106c2537f0162e8b52474a557ebb09000018d"
integrity sha512-Rl/1AWP4J/zRrk54hhlxH4drNxPJXYUaKffODVI53/dAsV4t9fBxyxYKAVPU1XBHxYwOWP9h9H0hM2MVw4YfJA==
base-x@^3.0.9:
version "3.0.9"
resolved "https://registry.yarnpkg.com/base-x/-/base-x-3.0.9.tgz#6349aaabb58526332de9f60995e548a53fe21320"
integrity sha512-H7JU6iBHTal1gp56aKoaa//YUxEaAOUiydvrV/pILqIHXTtqxSkATOnDA2u+jZ/61sD+L/412+7kzXRtWukhpQ==
dependencies:
safe-buffer "^5.0.1"
......@@ -4156,13 +4156,20 @@ nock@^13.0.5:
lodash.set "^4.3.2"
propagate "^2.0.0"
node-fetch@^2.6.1, node-fetch@^2.6.2:
node-fetch@^2.6.1:
version "2.6.5"
resolved "https://registry.yarnpkg.com/node-fetch/-/node-fetch-2.6.5.tgz#42735537d7f080a7e5f78b6c549b7146be1742fd"
integrity sha512-mmlIVHJEu5rnIxgEgez6b9GgWXbkZj5YZ7fx+2r94a2E+Uirsp6HsPTPlomfdHtpt/B0cdKviwkoaM6pyvUOpQ==
dependencies:
whatwg-url "^5.0.0"
node-fetch@^2.6.5:
version "2.6.6"
resolved "https://registry.yarnpkg.com/node-fetch/-/node-fetch-2.6.6.tgz#1751a7c01834e8e1697758732e9efb6eeadfaf89"
integrity sha512-Z8/6vRlTUChSdIgMa51jxQ4lrw/Jy5SOW10ObaA47/RElsAN2c5Pn8bTgFGWn/ibwzXTE8qwr1Yzx28vsecXEA==
dependencies:
whatwg-url "^5.0.0"
node-gyp-build@^4.2.0:
version "4.3.0"
resolved "https://registry.yarnpkg.com/node-gyp-build/-/node-gyp-build-4.3.0.tgz#9f256b03e5826150be39c764bf51e993946d71a3"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment